***OMOP Common Data Model v5.2 Specifications***

<br>*Authors: Christian Reich, Patrick Ryan, Rimma Belenkaya, Karthik Natarajan, Clair Blacketer*
<br>*12 July 2017*

Welcome to the Common Data Model wiki! This wiki houses all of the documentation for the latest version as well as changes added with each release. You can find a pdf added to each [release](https://github.com/OHDSI/CommonDataModel/releases) with a historical version of the wiki as it was at the time of the release. You can navigate the pages using the table of contents below or the links to the right.

# Table of Contents 

**[License](wiki/License)**
<br>
<br>**[Background](wiki/Background)**
<br>  [The Role of the Common Data Model](wiki/The-Role-of-the-Common-Data-Model)
<br>  [Design Principles](wiki/Design-Principles)
<br>  [Data Model Conventions](wiki/Data-Model-Conventions)
<br>
<br>**[Glossary of Terms](wiki/Glossary-of-Terms)**
<br>
<br>**[Standardized Vocabularies](wiki/Standardized-Vocabularies)**
<br>[CONCEPT](wiki/CONCEPT)
<br>[VOCABULARY](wiki/VOCABULARY)
<br>[DOMAIN](wiki/DOMAIN)
<br>[CONCEPT_CLASS](wiki/CONCEPT_CLASS)
<br>[CONCEPT_RELATIONSHIP](wiki/CONCEPT_RELATIONSHIP)
<br>[RELATIONSHIP](wiki/RELATIONSHIP)
<br>[CONCEPT_SYNONYM](wiki/CONCEPT_SYNONYM)
<br>[CONCEPT_ANCESTOR](wiki/CONCEPT_ANCESTOR)
<br>[SOURCE_TO_CONCEPT_MAP](wiki/SOURCE_TO_CONCEPT_MAP)
<br>[DRUG_STRENGTH](wiki/DRUG_STRENGTH)
<br>[COHORT_DEFINITION](wiki/COHORT_DEFINITION)
<br>[ATTRIBUTE_DEFINITION](wiki/ATTRIBUTE_DEFINITION)
<br>
<br>**[Standardized Metadata](wiki/Standardized-Metadata)**
<br>[CDM_SOURCE](wiki/CDM_SOURCE)
<br>
<br>**[Standardized Clinical Data Tables](Standardized-Clinical-Data-Tables)**
<br>[PERSON](wiki/PERSON)
<br>[OBSERVATION_PERIOD](wiki/OBSERVATION_PERIOD)
<br>[SPECIMEN](wiki/SPECIMEN)
<br>[DEATH](wiki/DEATH)
<br>[VISIT_OCCURRENCE](wiki/VISIT_OCCURRENCE)
<br>[PROCEDURE_OCCURRENCE](wiki/PROCEDURE_OCCURRENCE)
<br>[DRUG_EXPOSURE](wiki/DRUG_EXPOSURE)
<br>[DEVICE_EXPOSURE](wiki/DEVICE_EXPOSURE)
<br>[CONDITION_OCCURRENCE](wiki/CONDITION_OCCURRENCE)
<br>[MEASUREMENT](wiki/MEASUREMENT)
<br>[NOTE](wiki/NOTE)
<br>[NOTE_NLP](wiki/NOTE_NLP)
<br>[OBSERVATION](wiki/OBSERVATION)
<br>[FACT_RELATIONSHIP](wiki/FACT_RELATIONSHIP)
<br>
<br>**[Standardized Health System Data Tables](wiki/Standardized-Health-System-Data-Tables)**
<br>[LOCATION](wiki/LOCATION)
<br>[CARE_SITE](wiki/CARE_SITE)
<br>[PROVIDER](wiki/PROVIDER)
<br>
<br>**[Standardized Health Economics Data Tables](wiki/Standardized-Health-Economics-Data-Tables)**
<br>[PAYER_PLAN_PERIOD](wiki/PAYER_PLAN_PERIOD)
<br>[COST](wiki/COST)
<br>
<br>**[Standardized Derived Elements](wiki/Standardized-Derived-Elements)**
<br>[COHORT](wiki/COHORT)
<br>[COHORT_ATTRIBUTE](wiki/COHORT_ATTRIBUTE)
<br>[DRUG_ERA](wiki/DRUG_ERA)
<br>[DOSE_ERA](wiki/DOSE_ERA)
<br>[CONDITION_ERA](wiki/CONDITION_ERA)